Subject: bug#56423: 29.0.50; Hi-lock in dired broken by toggling wdired-mode

From: Michael Heerdegen <[email-masked]>
Date: Fri, 08 Jul 2022 14:57:34 +0200

Eli Zaretskii <[email-masked]> writes:

> You mean, the display will no longer match the actual situation on
> disk?  Then I think an unwind-protect or condition-case form that
> resyncs the display in case of a signal is in order, since preventing
> the user from aborting in that place would be wrong -- what if the
> user realizes, too late, that some of the changes mean trouble?

The question is how to unwind.  I guess the only sensible action would
be to revert the dired buffer, since we can't revert partial file
changes, and the situation could look differently in many different
ways.

Michael.